
void keyPressed(){

// clear the data arrays and clear the plot display by pressing C key.  Start collecting audio playback sequence. 
 if (key == 'C'){
   for (int i=numPoints-1; i>=0; i--){  // 
      beatTimeY[i] = 0;
      beatTimeX[i] = 0;
    }
    for (int k=0; k<50; k++){
      range[k] = 0;
    }
    port.write('C');   //Send 'C' to Arduino to restart collection sequence   
 }
 //Send 'F' to Arduino to start fast replay of audio sequence
 if (key == 'F'){
   port.write('F');
 }
// save a .jpg snapshot of the display with a month-day_ hour-minute title
 if (key == 'S'){
  // makeLine = !makeLine; 
  String mo = str(month());
  String d = str(day());
  String m = str(minute());
  String h = str(hour());
  String time = mo+d+"_"+h +"-" + m+".jpg";
  save(time);
 }
 
 if (key == '1'){    //Plot the IBI data with 100% full scale for y
 graphMag = 1;
}

if (key == '2'){     //Magnify the y data by a factor of 2 so that y = 50% full scale
  graphMag = 2;
}
}  // END OF KEYPRESSED
